<?php
    ## Lauren Bricker
    ## CS 154
    ## potluckselect.php
    ## API to serve up the items in the Potluck database.

    include 'common.php';

    # connect to the Potluck database and set some attributes
    try {
      $db = new PDO($ds, $user, $password);
      $db->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    }
    catch (PDOException $ex) {
      error_message("Can not connect to the database.", $ex);
    }

    #select all rows from the Potlucks table
    try {
      $rows = $db->query("SELECT * FROM PotluckDishes;");
    }
    catch (PDOException $ex) {
      error_message("Can not query the database.", $ex);
    }


    header("Content-Type: application/json");
    $output = array();

    # loop through each row of data from the select
    # adding it to the output array
    foreach($rows as $row){
      $id = $row["id"];
      $output[$id] = array();
      $output[$id]["name"] = $row["name"];
      $output[$id]["dish"] = $row["dish"];
      $output[$id]["serves"] = $row["serves"];
      $output[$id]["temperature"] = $row["temperature"];
    }

    #encode the output array as json
    print(json_encode($output));

?>
